Index: /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 17375)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 17376)
@@ -337,4 +337,12 @@
         "Temporary passwords and parents password validity period")
 
+    def sortCertificates(context, resultset):
+        """Sort already filtered certificates in `CertificateSource`.
+        """
+
+    def getCertTitle(context, value):
+        """Compose the titles in `CertificateSource`.
+        """
+
     def sendContactForm(
           from_name,from_addr,rcpt_name,rcpt_addr,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 17375)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 17376)
@@ -108,16 +108,18 @@
     in the portal.
     """
-    def getValues(self, context):
-        catalog = getUtility(ICatalog, name='certificates_catalog')
-        return sorted(list(
-            catalog.searchResults(
-                code=(None, None))),
-                      key=lambda value: value.code)
 
     def getToken(self, context, value):
         return value.code
 
+    def getValues(self, context):
+        catalog = getUtility(ICatalog, name='certificates_catalog')
+        result = catalog.searchResults(code=(None, None))
+        resultlist = getUtility(
+            IKofaUtils).sortCertificates(context, result)
+        return resultlist
+
     def getTitle(self, context, value):
-        return "%s - %s" % (value.code, value.title)
+        return getUtility(
+            IKofaUtils).getCertTitle(context, value)
 
 class SpecialApplicationSource(ContextualDictSourceFactoryBase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 17375)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 17376)
@@ -284,4 +284,14 @@
     TEMP_PASSWORD_MINUTES = 10
 
+    def sortCertificates(self, context, resultset):
+        """Sort already filtered certificates in `CertificateSource`.
+        """
+        return sorted(resultset, key=lambda value: value.code)
+
+    def getCertTitle(self, context, value):
+        """Compose the titles in `CertificateSource`.
+        """
+        return "%s - %s" % (value.code, value.title)
+
     def sendContactForm(self, from_name, from_addr, rcpt_name, rcpt_addr,
                         from_username, usertype, portal, body, subject,
